import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApprunnerAutoScalingConfigurationVersionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly autoScalingConfigurationName: string;
    /**
     * @stability stable
     */
    readonly maxConcurrency?: number;
    /**
     * @stability stable
     */
    readonly maxSize?: number;
    /**
     * @stability stable
     */
    readonly minSize?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class ApprunnerAutoScalingConfigurationVersion extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApprunnerAutoScalingConfigurationVersionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _autoScalingConfigurationName;
    /**
     * @stability stable
     */
    get autoScalingConfigurationName(): string;
    /**
     * @stability stable
     */
    set autoScalingConfigurationName(value: string);
    /**
     * @stability stable
     */
    get autoScalingConfigurationNameInput(): string;
    /**
     * @stability stable
     */
    get autoScalingConfigurationRevision(): number;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get latest(): boolean;
    private _maxConcurrency?;
    /**
     * @stability stable
     */
    get maxConcurrency(): number;
    /**
     * @stability stable
     */
    set maxConcurrency(value: number);
    /**
     * @stability stable
     */
    resetMaxConcurrency(): void;
    /**
     * @stability stable
     */
    get maxConcurrencyInput(): number | undefined;
    private _maxSize?;
    /**
     * @stability stable
     */
    get maxSize(): number;
    /**
     * @stability stable
     */
    set maxSize(value: number);
    /**
     * @stability stable
     */
    resetMaxSize(): void;
    /**
     * @stability stable
     */
    get maxSizeInput(): number | undefined;
    private _minSize?;
    /**
     * @stability stable
     */
    get minSize(): number;
    /**
     * @stability stable
     */
    set minSize(value: number);
    /**
     * @stability stable
     */
    resetMinSize(): void;
    /**
     * @stability stable
     */
    get minSizeInput(): number | undefined;
    /**
     * @stability stable
     */
    get status(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
