import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ApprunnerCustomDomainAssociationConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly domainName: string;
    /**
     * @stability stable
     */
    readonly enableWwwSubdomain?: boolean;
    /**
     * @stability stable
     */
    readonly serviceArn: string;
}
/**
 * @stability stable
 */
export declare class ApprunnerCustomDomainAssociationCertificateValidationRecords extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    get value(): string;
}
/**
 * @stability stable
 */
export declare class ApprunnerCustomDomainAssociation extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ApprunnerCustomDomainAssociationConfig);
    /**
     * @stability stable
     */
    certificateValidationRecords(index: string): ApprunnerCustomDomainAssociationCertificateValidationRecords;
    /**
     * @stability stable
     */
    get dnsTarget(): string;
    private _domainName;
    /**
     * @stability stable
     */
    get domainName(): string;
    /**
     * @stability stable
     */
    set domainName(value: string);
    /**
     * @stability stable
     */
    get domainNameInput(): string;
    private _enableWwwSubdomain?;
    /**
     * @stability stable
     */
    get enableWwwSubdomain(): boolean;
    /**
     * @stability stable
     */
    set enableWwwSubdomain(value: boolean);
    /**
     * @stability stable
     */
    resetEnableWwwSubdomain(): void;
    /**
     * @stability stable
     */
    get enableWwwSubdomainInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _serviceArn;
    /**
     * @stability stable
     */
    get serviceArn(): string;
    /**
     * @stability stable
     */
    set serviceArn(value: string);
    /**
     * @stability stable
     */
    get serviceArnInput(): string;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
