import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BatchJobDefinitionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly containerProperties?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly platformCapabilities?: string[];
    /**
     * @stability stable
     */
    readonly propagateTags?: boolean;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * retry_strategy block.
     *
     * @stability stable
     */
    readonly retryStrategy?: BatchJobDefinitionRetryStrategy[];
    /**
     * timeout block.
     *
     * @stability stable
     */
    readonly timeout?: BatchJobDefinitionTimeout[];
}
/**
 * @stability stable
 */
export interface BatchJobDefinitionRetryStrategyEvaluateOnExit {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly onExitCode?: string;
    /**
     * @stability stable
     */
    readonly onReason?: string;
    /**
     * @stability stable
     */
    readonly onStatusReason?: string;
}
/**
 * @stability stable
 */
export interface BatchJobDefinitionRetryStrategy {
    /**
     * @stability stable
     */
    readonly attempts?: number;
    /**
     * evaluate_on_exit block.
     *
     * @stability stable
     */
    readonly evaluateOnExit?: BatchJobDefinitionRetryStrategyEvaluateOnExit[];
}
/**
 * @stability stable
 */
export interface BatchJobDefinitionTimeout {
    /**
     * @stability stable
     */
    readonly attemptDurationSeconds?: number;
}
/**
 * @stability stable
 */
export declare class BatchJobDefinition extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BatchJobDefinitionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _containerProperties?;
    /**
     * @stability stable
     */
    get containerProperties(): string;
    /**
     * @stability stable
     */
    set containerProperties(value: string);
    /**
     * @stability stable
     */
    resetContainerProperties(): void;
    /**
     * @stability stable
     */
    get containerPropertiesInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _parameters?;
    /**
     * @stability stable
     */
    get parameters(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set parameters(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetParameters(): void;
    /**
     * @stability stable
     */
    get parametersInput(): {
        [key: string]: string;
    } | undefined;
    private _platformCapabilities?;
    /**
     * @stability stable
     */
    get platformCapabilities(): string[];
    /**
     * @stability stable
     */
    set platformCapabilities(value: string[]);
    /**
     * @stability stable
     */
    resetPlatformCapabilities(): void;
    /**
     * @stability stable
     */
    get platformCapabilitiesInput(): string[] | undefined;
    private _propagateTags?;
    /**
     * @stability stable
     */
    get propagateTags(): boolean;
    /**
     * @stability stable
     */
    set propagateTags(value: boolean);
    /**
     * @stability stable
     */
    resetPropagateTags(): void;
    /**
     * @stability stable
     */
    get propagateTagsInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get revision(): number;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _retryStrategy?;
    /**
     * @stability stable
     */
    get retryStrategy(): BatchJobDefinitionRetryStrategy[];
    /**
     * @stability stable
     */
    set retryStrategy(value: BatchJobDefinitionRetryStrategy[]);
    /**
     * @stability stable
     */
    resetRetryStrategy(): void;
    /**
     * @stability stable
     */
    get retryStrategyInput(): BatchJobDefinitionRetryStrategy[] | undefined;
    private _timeout?;
    /**
     * @stability stable
     */
    get timeout(): BatchJobDefinitionTimeout[];
    /**
     * @stability stable
     */
    set timeout(value: BatchJobDefinitionTimeout[]);
    /**
     * @stability stable
     */
    resetTimeout(): void;
    /**
     * @stability stable
     */
    get timeoutInput(): BatchJobDefinitionTimeout[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
