import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CloudformationTypeConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly executionRoleArn?: string;
    /**
     * @stability stable
     */
    readonly schemaHandlerPackage: string;
    /**
     * @stability stable
     */
    readonly type?: string;
    /**
     * @stability stable
     */
    readonly typeName: string;
    /**
     * logging_config block.
     *
     * @stability stable
     */
    readonly loggingConfig?: CloudformationTypeLoggingConfig[];
}
/**
 * @stability stable
 */
export interface CloudformationTypeLoggingConfig {
    /**
     * @stability stable
     */
    readonly logGroupName: string;
    /**
     * @stability stable
     */
    readonly logRoleArn: string;
}
/**
 * @stability stable
 */
export declare class CloudformationType extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudformationTypeConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get defaultVersionId(): string;
    /**
     * @stability stable
     */
    get deprecatedStatus(): string;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    get documentationUrl(): string;
    private _executionRoleArn?;
    /**
     * @stability stable
     */
    get executionRoleArn(): string;
    /**
     * @stability stable
     */
    set executionRoleArn(value: string);
    /**
     * @stability stable
     */
    resetExecutionRoleArn(): void;
    /**
     * @stability stable
     */
    get executionRoleArnInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get isDefaultVersion(): boolean;
    /**
     * @stability stable
     */
    get provisioningType(): string;
    /**
     * @stability stable
     */
    get schema(): string;
    private _schemaHandlerPackage;
    /**
     * @stability stable
     */
    get schemaHandlerPackage(): string;
    /**
     * @stability stable
     */
    set schemaHandlerPackage(value: string);
    /**
     * @stability stable
     */
    get schemaHandlerPackageInput(): string;
    /**
     * @stability stable
     */
    get sourceUrl(): string;
    private _type?;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    resetType(): void;
    /**
     * @stability stable
     */
    get typeInput(): string | undefined;
    /**
     * @stability stable
     */
    get typeArn(): string;
    private _typeName;
    /**
     * @stability stable
     */
    get typeName(): string;
    /**
     * @stability stable
     */
    set typeName(value: string);
    /**
     * @stability stable
     */
    get typeNameInput(): string;
    /**
     * @stability stable
     */
    get versionId(): string;
    /**
     * @stability stable
     */
    get visibility(): string;
    private _loggingConfig?;
    /**
     * @stability stable
     */
    get loggingConfig(): CloudformationTypeLoggingConfig[];
    /**
     * @stability stable
     */
    set loggingConfig(value: CloudformationTypeLoggingConfig[]);
    /**
     * @stability stable
     */
    resetLoggingConfig(): void;
    /**
     * @stability stable
     */
    get loggingConfigInput(): CloudformationTypeLoggingConfig[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
