import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CloudwatchMetricStreamConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly firehoseArn: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly namePrefix?: string;
    /**
     * @stability stable
     */
    readonly outputFormat: string;
    /**
     * @stability stable
     */
    readonly roleArn: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * exclude_filter block.
     *
     * @stability stable
     */
    readonly excludeFilter?: CloudwatchMetricStreamExcludeFilter[];
    /**
     * include_filter block.
     *
     * @stability stable
     */
    readonly includeFilter?: CloudwatchMetricStreamIncludeFilter[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: CloudwatchMetricStreamTimeouts;
}
/**
 * @stability stable
 */
export interface CloudwatchMetricStreamExcludeFilter {
    /**
     * @stability stable
     */
    readonly namespace: string;
}
/**
 * @stability stable
 */
export interface CloudwatchMetricStreamIncludeFilter {
    /**
     * @stability stable
     */
    readonly namespace: string;
}
/**
 * @stability stable
 */
export interface CloudwatchMetricStreamTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
}
/**
 * @stability stable
 */
export declare class CloudwatchMetricStream extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CloudwatchMetricStreamConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get creationDate(): string;
    private _firehoseArn;
    /**
     * @stability stable
     */
    get firehoseArn(): string;
    /**
     * @stability stable
     */
    set firehoseArn(value: string);
    /**
     * @stability stable
     */
    get firehoseArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get lastUpdateDate(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namePrefix?;
    /**
     * @stability stable
     */
    get namePrefix(): string;
    /**
     * @stability stable
     */
    set namePrefix(value: string);
    /**
     * @stability stable
     */
    resetNamePrefix(): void;
    /**
     * @stability stable
     */
    get namePrefixInput(): string | undefined;
    private _outputFormat;
    /**
     * @stability stable
     */
    get outputFormat(): string;
    /**
     * @stability stable
     */
    set outputFormat(value: string);
    /**
     * @stability stable
     */
    get outputFormatInput(): string;
    private _roleArn;
    /**
     * @stability stable
     */
    get roleArn(): string;
    /**
     * @stability stable
     */
    set roleArn(value: string);
    /**
     * @stability stable
     */
    get roleArnInput(): string;
    /**
     * @stability stable
     */
    get state(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _excludeFilter?;
    /**
     * @stability stable
     */
    get excludeFilter(): CloudwatchMetricStreamExcludeFilter[];
    /**
     * @stability stable
     */
    set excludeFilter(value: CloudwatchMetricStreamExcludeFilter[]);
    /**
     * @stability stable
     */
    resetExcludeFilter(): void;
    /**
     * @stability stable
     */
    get excludeFilterInput(): CloudwatchMetricStreamExcludeFilter[] | undefined;
    private _includeFilter?;
    /**
     * @stability stable
     */
    get includeFilter(): CloudwatchMetricStreamIncludeFilter[];
    /**
     * @stability stable
     */
    set includeFilter(value: CloudwatchMetricStreamIncludeFilter[]);
    /**
     * @stability stable
     */
    resetIncludeFilter(): void;
    /**
     * @stability stable
     */
    get includeFilterInput(): CloudwatchMetricStreamIncludeFilter[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): CloudwatchMetricStreamTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: CloudwatchMetricStreamTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): CloudwatchMetricStreamTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
