import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface CodestarconnectionsHostConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly providerEndpoint: string;
    /**
     * @stability stable
     */
    readonly providerType: string;
    /**
     * vpc_configuration block.
     *
     * @stability stable
     */
    readonly vpcConfiguration?: CodestarconnectionsHostVpcConfiguration[];
}
/**
 * @stability stable
 */
export interface CodestarconnectionsHostVpcConfiguration {
    /**
     * @stability stable
     */
    readonly securityGroupIds: string[];
    /**
     * @stability stable
     */
    readonly subnetIds: string[];
    /**
     * @stability stable
     */
    readonly tlsCertificate?: string;
    /**
     * @stability stable
     */
    readonly vpcId: string;
}
/**
 * @stability stable
 */
export declare class CodestarconnectionsHost extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: CodestarconnectionsHostConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _providerEndpoint;
    /**
     * @stability stable
     */
    get providerEndpoint(): string;
    /**
     * @stability stable
     */
    set providerEndpoint(value: string);
    /**
     * @stability stable
     */
    get providerEndpointInput(): string;
    private _providerType;
    /**
     * @stability stable
     */
    get providerType(): string;
    /**
     * @stability stable
     */
    set providerType(value: string);
    /**
     * @stability stable
     */
    get providerTypeInput(): string;
    /**
     * @stability stable
     */
    get status(): string;
    private _vpcConfiguration?;
    /**
     * @stability stable
     */
    get vpcConfiguration(): CodestarconnectionsHostVpcConfiguration[];
    /**
     * @stability stable
     */
    set vpcConfiguration(value: CodestarconnectionsHostVpcConfiguration[]);
    /**
     * @stability stable
     */
    resetVpcConfiguration(): void;
    /**
     * @stability stable
     */
    get vpcConfigurationInput(): CodestarconnectionsHostVpcConfiguration[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
