import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsEfsMountTargetConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly accessPointId?: string;
    /**
     * @stability stable
     */
    readonly fileSystemId?: string;
    /**
     * @stability stable
     */
    readonly mountTargetId?: string;
}
/**
 * @stability stable
 */
export declare class DataAwsEfsMountTarget extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsEfsMountTargetConfig);
    private _accessPointId?;
    /**
     * @stability stable
     */
    get accessPointId(): string;
    /**
     * @stability stable
     */
    set accessPointId(value: string);
    /**
     * @stability stable
     */
    resetAccessPointId(): void;
    /**
     * @stability stable
     */
    get accessPointIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get availabilityZoneId(): string;
    /**
     * @stability stable
     */
    get availabilityZoneName(): string;
    /**
     * @stability stable
     */
    get dnsName(): string;
    /**
     * @stability stable
     */
    get fileSystemArn(): string;
    private _fileSystemId?;
    /**
     * @stability stable
     */
    get fileSystemId(): string;
    /**
     * @stability stable
     */
    set fileSystemId(value: string);
    /**
     * @stability stable
     */
    resetFileSystemId(): void;
    /**
     * @stability stable
     */
    get fileSystemIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    get mountTargetDnsName(): string;
    private _mountTargetId?;
    /**
     * @stability stable
     */
    get mountTargetId(): string;
    /**
     * @stability stable
     */
    set mountTargetId(value: string);
    /**
     * @stability stable
     */
    resetMountTargetId(): void;
    /**
     * @stability stable
     */
    get mountTargetIdInput(): string | undefined;
    /**
     * @stability stable
     */
    get networkInterfaceId(): string;
    /**
     * @stability stable
     */
    get ownerId(): string;
    /**
     * @stability stable
     */
    get securityGroups(): string[];
    /**
     * @stability stable
     */
    get subnetId(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
