import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsGlueConnectionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly id: string;
}
/**
 * @stability stable
 */
export declare class DataAwsGlueConnectionPhysicalConnectionRequirements extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get availabilityZone(): string;
    /**
     * @stability stable
     */
    get securityGroupIdList(): string[];
    /**
     * @stability stable
     */
    get subnetId(): string;
}
/**
 * @stability stable
 */
export declare class DataAwsGlueConnection extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataAwsGlueConnectionConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get catalogId(): string;
    /**
     * @stability stable
     */
    connectionProperties(key: string): string;
    /**
     * @stability stable
     */
    get connectionType(): string;
    /**
     * @stability stable
     */
    get description(): string;
    private _id;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    set id(value: string);
    /**
     * @stability stable
     */
    get idInput(): string;
    /**
     * @stability stable
     */
    get matchCriteria(): string[];
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    physicalConnectionRequirements(index: string): DataAwsGlueConnectionPhysicalConnectionRequirements;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
