import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataAwsResourcegroupstaggingapiResourcesConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly excludeCompliantResources?: boolean;
    /**
     * @stability stable
     */
    readonly includeComplianceDetails?: boolean;
    /**
     * @stability stable
     */
    readonly resourceArnList?: string[];
    /**
     * @stability stable
     */
    readonly resourceTypeFilters?: string[];
    /**
     * tag_filter block.
     *
     * @stability stable
     */
    readonly tagFilter?: DataAwsResourcegroupstaggingapiResourcesTagFilter[];
}
/**
 * @stability stable
 */
export declare class DataAwsResourcegroupstaggingapiResourcesResourceTagMappingListComplianceDetails extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get complianceStatus(): boolean;
    /**
     * @stability stable
     */
    get keysWithNoncompliantValues(): string[];
    /**
     * @stability stable
     */
    get nonCompliantKeys(): string[];
}
/**
 * @stability stable
 */
export declare class DataAwsResourcegroupstaggingapiResourcesResourceTagMappingList extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get complianceDetails(): any;
    /**
     * @stability stable
     */
    get resourceArn(): string;
    /**
     * @stability stable
     */
    get tags(): any;
}
/**
 * @stability stable
 */
export interface DataAwsResourcegroupstaggingapiResourcesTagFilter {
    /**
     * @stability stable
     */
    readonly key: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export declare class DataAwsResourcegroupstaggingapiResources extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DataAwsResourcegroupstaggingapiResourcesConfig);
    private _excludeCompliantResources?;
    /**
     * @stability stable
     */
    get excludeCompliantResources(): boolean;
    /**
     * @stability stable
     */
    set excludeCompliantResources(value: boolean);
    /**
     * @stability stable
     */
    resetExcludeCompliantResources(): void;
    /**
     * @stability stable
     */
    get excludeCompliantResourcesInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _includeComplianceDetails?;
    /**
     * @stability stable
     */
    get includeComplianceDetails(): boolean;
    /**
     * @stability stable
     */
    set includeComplianceDetails(value: boolean);
    /**
     * @stability stable
     */
    resetIncludeComplianceDetails(): void;
    /**
     * @stability stable
     */
    get includeComplianceDetailsInput(): boolean | undefined;
    private _resourceArnList?;
    /**
     * @stability stable
     */
    get resourceArnList(): string[];
    /**
     * @stability stable
     */
    set resourceArnList(value: string[]);
    /**
     * @stability stable
     */
    resetResourceArnList(): void;
    /**
     * @stability stable
     */
    get resourceArnListInput(): string[] | undefined;
    /**
     * @stability stable
     */
    resourceTagMappingList(index: string): DataAwsResourcegroupstaggingapiResourcesResourceTagMappingList;
    private _resourceTypeFilters?;
    /**
     * @stability stable
     */
    get resourceTypeFilters(): string[];
    /**
     * @stability stable
     */
    set resourceTypeFilters(value: string[]);
    /**
     * @stability stable
     */
    resetResourceTypeFilters(): void;
    /**
     * @stability stable
     */
    get resourceTypeFiltersInput(): string[] | undefined;
    private _tagFilter?;
    /**
     * @stability stable
     */
    get tagFilter(): DataAwsResourcegroupstaggingapiResourcesTagFilter[];
    /**
     * @stability stable
     */
    set tagFilter(value: DataAwsResourcegroupstaggingapiResourcesTagFilter[]);
    /**
     * @stability stable
     */
    resetTagFilter(): void;
    /**
     * @stability stable
     */
    get tagFilterInput(): DataAwsResourcegroupstaggingapiResourcesTagFilter[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
