import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DatasyncAgentConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly activationKey?: string;
    /**
     * @stability stable
     */
    readonly ipAddress?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly privateLinkEndpoint?: string;
    /**
     * @stability stable
     */
    readonly securityGroupArns?: string[];
    /**
     * @stability stable
     */
    readonly subnetArns?: string[];
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly vpcEndpointId?: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DatasyncAgentTimeouts;
}
/**
 * @stability stable
 */
export interface DatasyncAgentTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
}
/**
 * @stability stable
 */
export declare class DatasyncAgent extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: DatasyncAgentConfig);
    private _activationKey?;
    /**
     * @stability stable
     */
    get activationKey(): string;
    /**
     * @stability stable
     */
    set activationKey(value: string);
    /**
     * @stability stable
     */
    resetActivationKey(): void;
    /**
     * @stability stable
     */
    get activationKeyInput(): string | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _ipAddress?;
    /**
     * @stability stable
     */
    get ipAddress(): string;
    /**
     * @stability stable
     */
    set ipAddress(value: string);
    /**
     * @stability stable
     */
    resetIpAddress(): void;
    /**
     * @stability stable
     */
    get ipAddressInput(): string | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _privateLinkEndpoint?;
    /**
     * @stability stable
     */
    get privateLinkEndpoint(): string;
    /**
     * @stability stable
     */
    set privateLinkEndpoint(value: string);
    /**
     * @stability stable
     */
    resetPrivateLinkEndpoint(): void;
    /**
     * @stability stable
     */
    get privateLinkEndpointInput(): string | undefined;
    private _securityGroupArns?;
    /**
     * @stability stable
     */
    get securityGroupArns(): string[];
    /**
     * @stability stable
     */
    set securityGroupArns(value: string[]);
    /**
     * @stability stable
     */
    resetSecurityGroupArns(): void;
    /**
     * @stability stable
     */
    get securityGroupArnsInput(): string[] | undefined;
    private _subnetArns?;
    /**
     * @stability stable
     */
    get subnetArns(): string[];
    /**
     * @stability stable
     */
    set subnetArns(value: string[]);
    /**
     * @stability stable
     */
    resetSubnetArns(): void;
    /**
     * @stability stable
     */
    get subnetArnsInput(): string[] | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _vpcEndpointId?;
    /**
     * @stability stable
     */
    get vpcEndpointId(): string;
    /**
     * @stability stable
     */
    set vpcEndpointId(value: string);
    /**
     * @stability stable
     */
    resetVpcEndpointId(): void;
    /**
     * @stability stable
     */
    get vpcEndpointIdInput(): string | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DatasyncAgentTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DatasyncAgentTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DatasyncAgentTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
