import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DatasyncTaskConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly cloudwatchLogGroupArn?: string;
    /**
     * @stability stable
     */
    readonly destinationLocationArn: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly sourceLocationArn: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * excludes block.
     *
     * @stability stable
     */
    readonly excludes?: DatasyncTaskExcludes[];
    /**
     * options block.
     *
     * @stability stable
     */
    readonly options?: DatasyncTaskOptions[];
    /**
     * schedule block.
     *
     * @stability stable
     */
    readonly schedule?: DatasyncTaskSchedule[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DatasyncTaskTimeouts;
}
/**
 * @stability stable
 */
export interface DatasyncTaskExcludes {
    /**
     * @stability stable
     */
    readonly filterType?: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface DatasyncTaskOptions {
    /**
     * @stability stable
     */
    readonly atime?: string;
    /**
     * @stability stable
     */
    readonly bytesPerSecond?: number;
    /**
     * @stability stable
     */
    readonly gid?: string;
    /**
     * @stability stable
     */
    readonly logLevel?: string;
    /**
     * @stability stable
     */
    readonly mtime?: string;
    /**
     * @stability stable
     */
    readonly overwriteMode?: string;
    /**
     * @stability stable
     */
    readonly posixPermissions?: string;
    /**
     * @stability stable
     */
    readonly preserveDeletedFiles?: string;
    /**
     * @stability stable
     */
    readonly preserveDevices?: string;
    /**
     * @stability stable
     */
    readonly taskQueueing?: string;
    /**
     * @stability stable
     */
    readonly transferMode?: string;
    /**
     * @stability stable
     */
    readonly uid?: string;
    /**
     * @stability stable
     */
    readonly verifyMode?: string;
}
/**
 * @stability stable
 */
export interface DatasyncTaskSchedule {
    /**
     * @stability stable
     */
    readonly scheduleExpression: string;
}
/**
 * @stability stable
 */
export interface DatasyncTaskTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
}
/**
 * @stability stable
 */
export declare class DatasyncTask extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DatasyncTaskConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _cloudwatchLogGroupArn?;
    /**
     * @stability stable
     */
    get cloudwatchLogGroupArn(): string;
    /**
     * @stability stable
     */
    set cloudwatchLogGroupArn(value: string);
    /**
     * @stability stable
     */
    resetCloudwatchLogGroupArn(): void;
    /**
     * @stability stable
     */
    get cloudwatchLogGroupArnInput(): string | undefined;
    private _destinationLocationArn;
    /**
     * @stability stable
     */
    get destinationLocationArn(): string;
    /**
     * @stability stable
     */
    set destinationLocationArn(value: string);
    /**
     * @stability stable
     */
    get destinationLocationArnInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _sourceLocationArn;
    /**
     * @stability stable
     */
    get sourceLocationArn(): string;
    /**
     * @stability stable
     */
    set sourceLocationArn(value: string);
    /**
     * @stability stable
     */
    get sourceLocationArnInput(): string;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _excludes?;
    /**
     * @stability stable
     */
    get excludes(): DatasyncTaskExcludes[];
    /**
     * @stability stable
     */
    set excludes(value: DatasyncTaskExcludes[]);
    /**
     * @stability stable
     */
    resetExcludes(): void;
    /**
     * @stability stable
     */
    get excludesInput(): DatasyncTaskExcludes[] | undefined;
    private _options?;
    /**
     * @stability stable
     */
    get options(): DatasyncTaskOptions[];
    /**
     * @stability stable
     */
    set options(value: DatasyncTaskOptions[]);
    /**
     * @stability stable
     */
    resetOptions(): void;
    /**
     * @stability stable
     */
    get optionsInput(): DatasyncTaskOptions[] | undefined;
    private _schedule?;
    /**
     * @stability stable
     */
    get schedule(): DatasyncTaskSchedule[];
    /**
     * @stability stable
     */
    set schedule(value: DatasyncTaskSchedule[]);
    /**
     * @stability stable
     */
    resetSchedule(): void;
    /**
     * @stability stable
     */
    get scheduleInput(): DatasyncTaskSchedule[] | undefined;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DatasyncTaskTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DatasyncTaskTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DatasyncTaskTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
