import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DbProxyEndpointConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly dbProxyEndpointName: string;
    /**
     * @stability stable
     */
    readonly dbProxyName: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly targetRole?: string;
    /**
     * @stability stable
     */
    readonly vpcSecurityGroupIds?: string[];
    /**
     * @stability stable
     */
    readonly vpcSubnetIds: string[];
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: DbProxyEndpointTimeouts;
}
/**
 * @stability stable
 */
export interface DbProxyEndpointTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
    /**
     * @stability stable
     */
    readonly delete?: string;
    /**
     * @stability stable
     */
    readonly update?: string;
}
/**
 * @stability stable
 */
export declare class DbProxyEndpoint extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DbProxyEndpointConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    private _dbProxyEndpointName;
    /**
     * @stability stable
     */
    get dbProxyEndpointName(): string;
    /**
     * @stability stable
     */
    set dbProxyEndpointName(value: string);
    /**
     * @stability stable
     */
    get dbProxyEndpointNameInput(): string;
    private _dbProxyName;
    /**
     * @stability stable
     */
    get dbProxyName(): string;
    /**
     * @stability stable
     */
    set dbProxyName(value: string);
    /**
     * @stability stable
     */
    get dbProxyNameInput(): string;
    /**
     * @stability stable
     */
    get endpoint(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get isDefault(): boolean;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _targetRole?;
    /**
     * @stability stable
     */
    get targetRole(): string;
    /**
     * @stability stable
     */
    set targetRole(value: string);
    /**
     * @stability stable
     */
    resetTargetRole(): void;
    /**
     * @stability stable
     */
    get targetRoleInput(): string | undefined;
    /**
     * @stability stable
     */
    get vpcId(): string;
    private _vpcSecurityGroupIds?;
    /**
     * @stability stable
     */
    get vpcSecurityGroupIds(): string[];
    /**
     * @stability stable
     */
    set vpcSecurityGroupIds(value: string[]);
    /**
     * @stability stable
     */
    resetVpcSecurityGroupIds(): void;
    /**
     * @stability stable
     */
    get vpcSecurityGroupIdsInput(): string[] | undefined;
    private _vpcSubnetIds;
    /**
     * @stability stable
     */
    get vpcSubnetIds(): string[];
    /**
     * @stability stable
     */
    set vpcSubnetIds(value: string[]);
    /**
     * @stability stable
     */
    get vpcSubnetIdsInput(): string[];
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): DbProxyEndpointTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: DbProxyEndpointTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): DbProxyEndpointTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
