import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface LightsailInstancePublicPortsConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly instanceName: string;
    /**
     * port_info block.
     *
     * @stability stable
     */
    readonly portInfo: LightsailInstancePublicPortsPortInfo[];
}
/**
 * @stability stable
 */
export interface LightsailInstancePublicPortsPortInfo {
    /**
     * @stability stable
     */
    readonly cidrs?: string[];
    /**
     * @stability stable
     */
    readonly fromPort: number;
    /**
     * @stability stable
     */
    readonly protocol: string;
    /**
     * @stability stable
     */
    readonly toPort: number;
}
/**
 * @stability stable
 */
export declare class LightsailInstancePublicPorts extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: LightsailInstancePublicPortsConfig);
    /**
     * @stability stable
     */
    get id(): string;
    private _instanceName;
    /**
     * @stability stable
     */
    get instanceName(): string;
    /**
     * @stability stable
     */
    set instanceName(value: string);
    /**
     * @stability stable
     */
    get instanceNameInput(): string;
    private _portInfo;
    /**
     * @stability stable
     */
    get portInfo(): LightsailInstancePublicPortsPortInfo[];
    /**
     * @stability stable
     */
    set portInfo(value: LightsailInstancePublicPortsPortInfo[]);
    /**
     * @stability stable
     */
    get portInfoInput(): LightsailInstancePublicPortsPortInfo[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
