import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Macie2AccountConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly findingPublishingFrequency?: string;
    /**
     * @stability stable
     */
    readonly status?: string;
}
/**
 * @stability stable
 */
export declare class Macie2Account extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: Macie2AccountConfig);
    /**
     * @stability stable
     */
    get createdAt(): string;
    private _findingPublishingFrequency?;
    /**
     * @stability stable
     */
    get findingPublishingFrequency(): string;
    /**
     * @stability stable
     */
    set findingPublishingFrequency(value: string);
    /**
     * @stability stable
     */
    resetFindingPublishingFrequency(): void;
    /**
     * @stability stable
     */
    get findingPublishingFrequencyInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get serviceRole(): string;
    private _status?;
    /**
     * @stability stable
     */
    get status(): string;
    /**
     * @stability stable
     */
    set status(value: string);
    /**
     * @stability stable
     */
    resetStatus(): void;
    /**
     * @stability stable
     */
    get statusInput(): string | undefined;
    /**
     * @stability stable
     */
    get updatedAt(): string;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
