import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Macie2ClassificationJobConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly customDataIdentifierIds?: string[];
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly initialRun?: boolean;
    /**
     * @stability stable
     */
    readonly jobStatus?: string;
    /**
     * @stability stable
     */
    readonly jobType: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly namePrefix?: string;
    /**
     * @stability stable
     */
    readonly samplingPercentage?: number;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * s3_job_definition block.
     *
     * @stability stable
     */
    readonly s3JobDefinition: Macie2ClassificationJobS3JobDefinition[];
    /**
     * schedule_frequency block.
     *
     * @stability stable
     */
    readonly scheduleFrequency?: Macie2ClassificationJobScheduleFrequency[];
}
/**
 * @stability stable
 */
export declare class Macie2ClassificationJobUserPausedDetails extends cdktf.ComplexComputedList {
    /**
     * @stability stable
     */
    get jobExpiresAt(): string;
    /**
     * @stability stable
     */
    get jobImminentExpirationHealthEventArn(): string;
    /**
     * @stability stable
     */
    get jobPausedAt(): string;
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionBucketDefinitions {
    /**
     * @stability stable
     */
    readonly accountId: string;
    /**
     * @stability stable
     */
    readonly buckets: string[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingExcludesAndSimpleScopeTerm {
    /**
     * @stability stable
     */
    readonly comparator?: string;
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingExcludesAndTagScopeTermTagValues {
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingExcludesAndTagScopeTerm {
    /**
     * @stability stable
     */
    readonly comparator?: string;
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly target?: string;
    /**
     * tag_values block.
     *
     * @stability stable
     */
    readonly tagValues?: Macie2ClassificationJobS3JobDefinitionScopingExcludesAndTagScopeTermTagValues[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingExcludesAnd {
    /**
     * simple_scope_term block.
     *
     * @stability stable
     */
    readonly simpleScopeTerm?: Macie2ClassificationJobS3JobDefinitionScopingExcludesAndSimpleScopeTerm[];
    /**
     * tag_scope_term block.
     *
     * @stability stable
     */
    readonly tagScopeTerm?: Macie2ClassificationJobS3JobDefinitionScopingExcludesAndTagScopeTerm[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingExcludes {
    /**
     * and block.
     *
     * @stability stable
     */
    readonly and?: Macie2ClassificationJobS3JobDefinitionScopingExcludesAnd[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingIncludesAndSimpleScopeTerm {
    /**
     * @stability stable
     */
    readonly comparator?: string;
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly values?: string[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingIncludesAndTagScopeTermTagValues {
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly value?: string;
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingIncludesAndTagScopeTerm {
    /**
     * @stability stable
     */
    readonly comparator?: string;
    /**
     * @stability stable
     */
    readonly key?: string;
    /**
     * @stability stable
     */
    readonly target?: string;
    /**
     * tag_values block.
     *
     * @stability stable
     */
    readonly tagValues?: Macie2ClassificationJobS3JobDefinitionScopingIncludesAndTagScopeTermTagValues[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingIncludesAnd {
    /**
     * simple_scope_term block.
     *
     * @stability stable
     */
    readonly simpleScopeTerm?: Macie2ClassificationJobS3JobDefinitionScopingIncludesAndSimpleScopeTerm[];
    /**
     * tag_scope_term block.
     *
     * @stability stable
     */
    readonly tagScopeTerm?: Macie2ClassificationJobS3JobDefinitionScopingIncludesAndTagScopeTerm[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScopingIncludes {
    /**
     * and block.
     *
     * @stability stable
     */
    readonly and?: Macie2ClassificationJobS3JobDefinitionScopingIncludesAnd[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinitionScoping {
    /**
     * excludes block.
     *
     * @stability stable
     */
    readonly excludes?: Macie2ClassificationJobS3JobDefinitionScopingExcludes[];
    /**
     * includes block.
     *
     * @stability stable
     */
    readonly includes?: Macie2ClassificationJobS3JobDefinitionScopingIncludes[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobS3JobDefinition {
    /**
     * bucket_definitions block.
     *
     * @stability stable
     */
    readonly bucketDefinitions?: Macie2ClassificationJobS3JobDefinitionBucketDefinitions[];
    /**
     * scoping block.
     *
     * @stability stable
     */
    readonly scoping?: Macie2ClassificationJobS3JobDefinitionScoping[];
}
/**
 * @stability stable
 */
export interface Macie2ClassificationJobScheduleFrequency {
    /**
     * @stability stable
     */
    readonly dailySchedule?: boolean;
    /**
     * @stability stable
     */
    readonly monthlySchedule?: number;
    /**
     * @stability stable
     */
    readonly weeklySchedule?: string;
}
/**
 * @stability stable
 */
export declare class Macie2ClassificationJob extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Macie2ClassificationJobConfig);
    /**
     * @stability stable
     */
    get createdAt(): string;
    private _customDataIdentifierIds?;
    /**
     * @stability stable
     */
    get customDataIdentifierIds(): string[];
    /**
     * @stability stable
     */
    set customDataIdentifierIds(value: string[]);
    /**
     * @stability stable
     */
    resetCustomDataIdentifierIds(): void;
    /**
     * @stability stable
     */
    get customDataIdentifierIdsInput(): string[] | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _initialRun?;
    /**
     * @stability stable
     */
    get initialRun(): boolean;
    /**
     * @stability stable
     */
    set initialRun(value: boolean);
    /**
     * @stability stable
     */
    resetInitialRun(): void;
    /**
     * @stability stable
     */
    get initialRunInput(): boolean | undefined;
    /**
     * @stability stable
     */
    get jobArn(): string;
    /**
     * @stability stable
     */
    get jobId(): string;
    private _jobStatus?;
    /**
     * @stability stable
     */
    get jobStatus(): string;
    /**
     * @stability stable
     */
    set jobStatus(value: string);
    /**
     * @stability stable
     */
    resetJobStatus(): void;
    /**
     * @stability stable
     */
    get jobStatusInput(): string | undefined;
    private _jobType;
    /**
     * @stability stable
     */
    get jobType(): string;
    /**
     * @stability stable
     */
    set jobType(value: string);
    /**
     * @stability stable
     */
    get jobTypeInput(): string;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namePrefix?;
    /**
     * @stability stable
     */
    get namePrefix(): string;
    /**
     * @stability stable
     */
    set namePrefix(value: string);
    /**
     * @stability stable
     */
    resetNamePrefix(): void;
    /**
     * @stability stable
     */
    get namePrefixInput(): string | undefined;
    private _samplingPercentage?;
    /**
     * @stability stable
     */
    get samplingPercentage(): number;
    /**
     * @stability stable
     */
    set samplingPercentage(value: number);
    /**
     * @stability stable
     */
    resetSamplingPercentage(): void;
    /**
     * @stability stable
     */
    get samplingPercentageInput(): number | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    userPausedDetails(index: string): Macie2ClassificationJobUserPausedDetails;
    private _s3JobDefinition;
    /**
     * @stability stable
     */
    get s3JobDefinition(): Macie2ClassificationJobS3JobDefinition[];
    /**
     * @stability stable
     */
    set s3JobDefinition(value: Macie2ClassificationJobS3JobDefinition[]);
    /**
     * @stability stable
     */
    get s3JobDefinitionInput(): Macie2ClassificationJobS3JobDefinition[];
    private _scheduleFrequency?;
    /**
     * @stability stable
     */
    get scheduleFrequency(): Macie2ClassificationJobScheduleFrequency[];
    /**
     * @stability stable
     */
    set scheduleFrequency(value: Macie2ClassificationJobScheduleFrequency[]);
    /**
     * @stability stable
     */
    resetScheduleFrequency(): void;
    /**
     * @stability stable
     */
    get scheduleFrequencyInput(): Macie2ClassificationJobScheduleFrequency[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
