import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Macie2CustomDataIdentifierConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly ignoreWords?: string[];
    /**
     * @stability stable
     */
    readonly keywords?: string[];
    /**
     * @stability stable
     */
    readonly maximumMatchDistance?: number;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly namePrefix?: string;
    /**
     * @stability stable
     */
    readonly regex?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
}
/**
 * @stability stable
 */
export declare class Macie2CustomDataIdentifier extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config?: Macie2CustomDataIdentifierConfig);
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get createdAt(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _ignoreWords?;
    /**
     * @stability stable
     */
    get ignoreWords(): string[];
    /**
     * @stability stable
     */
    set ignoreWords(value: string[]);
    /**
     * @stability stable
     */
    resetIgnoreWords(): void;
    /**
     * @stability stable
     */
    get ignoreWordsInput(): string[] | undefined;
    private _keywords?;
    /**
     * @stability stable
     */
    get keywords(): string[];
    /**
     * @stability stable
     */
    set keywords(value: string[]);
    /**
     * @stability stable
     */
    resetKeywords(): void;
    /**
     * @stability stable
     */
    get keywordsInput(): string[] | undefined;
    private _maximumMatchDistance?;
    /**
     * @stability stable
     */
    get maximumMatchDistance(): number;
    /**
     * @stability stable
     */
    set maximumMatchDistance(value: number);
    /**
     * @stability stable
     */
    resetMaximumMatchDistance(): void;
    /**
     * @stability stable
     */
    get maximumMatchDistanceInput(): number | undefined;
    private _name?;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    resetName(): void;
    /**
     * @stability stable
     */
    get nameInput(): string | undefined;
    private _namePrefix?;
    /**
     * @stability stable
     */
    get namePrefix(): string;
    /**
     * @stability stable
     */
    set namePrefix(value: string);
    /**
     * @stability stable
     */
    resetNamePrefix(): void;
    /**
     * @stability stable
     */
    get namePrefixInput(): string | undefined;
    private _regex?;
    /**
     * @stability stable
     */
    get regex(): string;
    /**
     * @stability stable
     */
    set regex(value: string);
    /**
     * @stability stable
     */
    resetRegex(): void;
    /**
     * @stability stable
     */
    get regexInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
