import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Macie2InvitationAccepterConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly administratorAccountId: string;
    /**
     * timeouts block.
     *
     * @stability stable
     */
    readonly timeouts?: Macie2InvitationAccepterTimeouts;
}
/**
 * @stability stable
 */
export interface Macie2InvitationAccepterTimeouts {
    /**
     * @stability stable
     */
    readonly create?: string;
}
/**
 * @stability stable
 */
export declare class Macie2InvitationAccepter extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Macie2InvitationAccepterConfig);
    private _administratorAccountId;
    /**
     * @stability stable
     */
    get administratorAccountId(): string;
    /**
     * @stability stable
     */
    set administratorAccountId(value: string);
    /**
     * @stability stable
     */
    get administratorAccountIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get invitationId(): string;
    private _timeouts?;
    /**
     * @stability stable
     */
    get timeouts(): Macie2InvitationAccepterTimeouts;
    /**
     * @stability stable
     */
    set timeouts(value: Macie2InvitationAccepterTimeouts);
    /**
     * @stability stable
     */
    resetTimeouts(): void;
    /**
     * @stability stable
     */
    get timeoutsInput(): Macie2InvitationAccepterTimeouts | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
