import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface Route53ResolverFirewallRuleConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly action: string;
    /**
     * @stability stable
     */
    readonly blockOverrideDnsType?: string;
    /**
     * @stability stable
     */
    readonly blockOverrideDomain?: string;
    /**
     * @stability stable
     */
    readonly blockOverrideTtl?: number;
    /**
     * @stability stable
     */
    readonly blockResponse?: string;
    /**
     * @stability stable
     */
    readonly firewallDomainListId: string;
    /**
     * @stability stable
     */
    readonly firewallRuleGroupId: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly priority: number;
}
/**
 * @stability stable
 */
export declare class Route53ResolverFirewallRule extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: Route53ResolverFirewallRuleConfig);
    private _action;
    /**
     * @stability stable
     */
    get action(): string;
    /**
     * @stability stable
     */
    set action(value: string);
    /**
     * @stability stable
     */
    get actionInput(): string;
    private _blockOverrideDnsType?;
    /**
     * @stability stable
     */
    get blockOverrideDnsType(): string;
    /**
     * @stability stable
     */
    set blockOverrideDnsType(value: string);
    /**
     * @stability stable
     */
    resetBlockOverrideDnsType(): void;
    /**
     * @stability stable
     */
    get blockOverrideDnsTypeInput(): string | undefined;
    private _blockOverrideDomain?;
    /**
     * @stability stable
     */
    get blockOverrideDomain(): string;
    /**
     * @stability stable
     */
    set blockOverrideDomain(value: string);
    /**
     * @stability stable
     */
    resetBlockOverrideDomain(): void;
    /**
     * @stability stable
     */
    get blockOverrideDomainInput(): string | undefined;
    private _blockOverrideTtl?;
    /**
     * @stability stable
     */
    get blockOverrideTtl(): number;
    /**
     * @stability stable
     */
    set blockOverrideTtl(value: number);
    /**
     * @stability stable
     */
    resetBlockOverrideTtl(): void;
    /**
     * @stability stable
     */
    get blockOverrideTtlInput(): number | undefined;
    private _blockResponse?;
    /**
     * @stability stable
     */
    get blockResponse(): string;
    /**
     * @stability stable
     */
    set blockResponse(value: string);
    /**
     * @stability stable
     */
    resetBlockResponse(): void;
    /**
     * @stability stable
     */
    get blockResponseInput(): string | undefined;
    private _firewallDomainListId;
    /**
     * @stability stable
     */
    get firewallDomainListId(): string;
    /**
     * @stability stable
     */
    set firewallDomainListId(value: string);
    /**
     * @stability stable
     */
    get firewallDomainListIdInput(): string;
    private _firewallRuleGroupId;
    /**
     * @stability stable
     */
    get firewallRuleGroupId(): string;
    /**
     * @stability stable
     */
    set firewallRuleGroupId(value: string);
    /**
     * @stability stable
     */
    get firewallRuleGroupIdInput(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _priority;
    /**
     * @stability stable
     */
    get priority(): number;
    /**
     * @stability stable
     */
    set priority(value: number);
    /**
     * @stability stable
     */
    get priorityInput(): number;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
