import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicecatalogPortfolioShareConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly acceptLanguage?: string;
    /**
     * @stability stable
     */
    readonly portfolioId: string;
    /**
     * @stability stable
     */
    readonly principalId: string;
    /**
     * @stability stable
     */
    readonly shareTagOptions?: boolean;
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * @stability stable
     */
    readonly waitForAcceptance?: boolean;
}
/**
 * @stability stable
 */
export declare class ServicecatalogPortfolioShare extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicecatalogPortfolioShareConfig);
    private _acceptLanguage?;
    /**
     * @stability stable
     */
    get acceptLanguage(): string;
    /**
     * @stability stable
     */
    set acceptLanguage(value: string);
    /**
     * @stability stable
     */
    resetAcceptLanguage(): void;
    /**
     * @stability stable
     */
    get acceptLanguageInput(): string | undefined;
    /**
     * @stability stable
     */
    get accepted(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _portfolioId;
    /**
     * @stability stable
     */
    get portfolioId(): string;
    /**
     * @stability stable
     */
    set portfolioId(value: string);
    /**
     * @stability stable
     */
    get portfolioIdInput(): string;
    private _principalId;
    /**
     * @stability stable
     */
    get principalId(): string;
    /**
     * @stability stable
     */
    set principalId(value: string);
    /**
     * @stability stable
     */
    get principalIdInput(): string;
    private _shareTagOptions?;
    /**
     * @stability stable
     */
    get shareTagOptions(): boolean;
    /**
     * @stability stable
     */
    set shareTagOptions(value: boolean);
    /**
     * @stability stable
     */
    resetShareTagOptions(): void;
    /**
     * @stability stable
     */
    get shareTagOptionsInput(): boolean | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _waitForAcceptance?;
    /**
     * @stability stable
     */
    get waitForAcceptance(): boolean;
    /**
     * @stability stable
     */
    set waitForAcceptance(value: boolean);
    /**
     * @stability stable
     */
    resetWaitForAcceptance(): void;
    /**
     * @stability stable
     */
    get waitForAcceptanceInput(): boolean | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
