import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicecatalogProductConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly acceptLanguage?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly distributor?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly owner: string;
    /**
     * @stability stable
     */
    readonly supportDescription?: string;
    /**
     * @stability stable
     */
    readonly supportEmail?: string;
    /**
     * @stability stable
     */
    readonly supportUrl?: string;
    /**
     * @stability stable
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly tagsAll?: {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    readonly type: string;
    /**
     * provisioning_artifact_parameters block.
     *
     * @stability stable
     */
    readonly provisioningArtifactParameters: ServicecatalogProductProvisioningArtifactParameters[];
}
/**
 * @stability stable
 */
export interface ServicecatalogProductProvisioningArtifactParameters {
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly disableTemplateValidation?: boolean;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly templatePhysicalId?: string;
    /**
     * @stability stable
     */
    readonly templateUrl?: string;
    /**
     * @stability stable
     */
    readonly type?: string;
}
/**
 * @stability stable
 */
export declare class ServicecatalogProduct extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicecatalogProductConfig);
    private _acceptLanguage?;
    /**
     * @stability stable
     */
    get acceptLanguage(): string;
    /**
     * @stability stable
     */
    set acceptLanguage(value: string);
    /**
     * @stability stable
     */
    resetAcceptLanguage(): void;
    /**
     * @stability stable
     */
    get acceptLanguageInput(): string | undefined;
    /**
     * @stability stable
     */
    get arn(): string;
    /**
     * @stability stable
     */
    get createdTime(): string;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    private _distributor?;
    /**
     * @stability stable
     */
    get distributor(): string;
    /**
     * @stability stable
     */
    set distributor(value: string);
    /**
     * @stability stable
     */
    resetDistributor(): void;
    /**
     * @stability stable
     */
    get distributorInput(): string | undefined;
    /**
     * @stability stable
     */
    get hasDefaultPath(): boolean;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _owner;
    /**
     * @stability stable
     */
    get owner(): string;
    /**
     * @stability stable
     */
    set owner(value: string);
    /**
     * @stability stable
     */
    get ownerInput(): string;
    /**
     * @stability stable
     */
    get status(): string;
    private _supportDescription?;
    /**
     * @stability stable
     */
    get supportDescription(): string;
    /**
     * @stability stable
     */
    set supportDescription(value: string);
    /**
     * @stability stable
     */
    resetSupportDescription(): void;
    /**
     * @stability stable
     */
    get supportDescriptionInput(): string | undefined;
    private _supportEmail?;
    /**
     * @stability stable
     */
    get supportEmail(): string;
    /**
     * @stability stable
     */
    set supportEmail(value: string);
    /**
     * @stability stable
     */
    resetSupportEmail(): void;
    /**
     * @stability stable
     */
    get supportEmailInput(): string | undefined;
    private _supportUrl?;
    /**
     * @stability stable
     */
    get supportUrl(): string;
    /**
     * @stability stable
     */
    set supportUrl(value: string);
    /**
     * @stability stable
     */
    resetSupportUrl(): void;
    /**
     * @stability stable
     */
    get supportUrlInput(): string | undefined;
    private _tags?;
    /**
     * @stability stable
     */
    get tags(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tags(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTags(): void;
    /**
     * @stability stable
     */
    get tagsInput(): {
        [key: string]: string;
    } | undefined;
    private _tagsAll?;
    /**
     * @stability stable
     */
    get tagsAll(): {
        [key: string]: string;
    };
    /**
     * @stability stable
     */
    set tagsAll(value: {
        [key: string]: string;
    });
    /**
     * @stability stable
     */
    resetTagsAll(): void;
    /**
     * @stability stable
     */
    get tagsAllInput(): {
        [key: string]: string;
    } | undefined;
    private _type;
    /**
     * @stability stable
     */
    get type(): string;
    /**
     * @stability stable
     */
    set type(value: string);
    /**
     * @stability stable
     */
    get typeInput(): string;
    private _provisioningArtifactParameters;
    /**
     * @stability stable
     */
    get provisioningArtifactParameters(): ServicecatalogProductProvisioningArtifactParameters[];
    /**
     * @stability stable
     */
    set provisioningArtifactParameters(value: ServicecatalogProductProvisioningArtifactParameters[]);
    /**
     * @stability stable
     */
    get provisioningArtifactParametersInput(): ServicecatalogProductProvisioningArtifactParameters[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
