import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface ServicecatalogServiceActionConfig extends cdktf.TerraformMetaArguments {
    /**
     * @stability stable
     */
    readonly acceptLanguage?: string;
    /**
     * @stability stable
     */
    readonly description?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * definition block.
     *
     * @stability stable
     */
    readonly definition: ServicecatalogServiceActionDefinition[];
}
/**
 * @stability stable
 */
export interface ServicecatalogServiceActionDefinition {
    /**
     * @stability stable
     */
    readonly assumeRole?: string;
    /**
     * @stability stable
     */
    readonly name: string;
    /**
     * @stability stable
     */
    readonly parameters?: string;
    /**
     * @stability stable
     */
    readonly type?: string;
    /**
     * @stability stable
     */
    readonly version: string;
}
/**
 * @stability stable
 */
export declare class ServicecatalogServiceAction extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: ServicecatalogServiceActionConfig);
    private _acceptLanguage?;
    /**
     * @stability stable
     */
    get acceptLanguage(): string;
    /**
     * @stability stable
     */
    set acceptLanguage(value: string);
    /**
     * @stability stable
     */
    resetAcceptLanguage(): void;
    /**
     * @stability stable
     */
    get acceptLanguageInput(): string | undefined;
    private _description?;
    /**
     * @stability stable
     */
    get description(): string;
    /**
     * @stability stable
     */
    set description(value: string);
    /**
     * @stability stable
     */
    resetDescription(): void;
    /**
     * @stability stable
     */
    get descriptionInput(): string | undefined;
    /**
     * @stability stable
     */
    get id(): string;
    private _name;
    /**
     * @stability stable
     */
    get name(): string;
    /**
     * @stability stable
     */
    set name(value: string);
    /**
     * @stability stable
     */
    get nameInput(): string;
    private _definition;
    /**
     * @stability stable
     */
    get definition(): ServicecatalogServiceActionDefinition[];
    /**
     * @stability stable
     */
    set definition(value: ServicecatalogServiceActionDefinition[]);
    /**
     * @stability stable
     */
    get definitionInput(): ServicecatalogServiceActionDefinition[];
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
